Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 151406 - open file(java or groovy) and show error message box when use svn for versioning
open file(java or groovy) and show error message box when use svn for versioning
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Code
6.x
PC Windows XP
: P3 with 4 votes (vote)
: 6.x
Assigned To: issues@versioncontrol
issues@versioncontrol
65fixes2-verified
:
: 153192 153706 155550 158533 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-27 02:40 UTC by jwz426
Modified: 2009-02-19 23:22 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
netbeans log file (30.30 KB, text/plain)
2008-10-27 02:40 UTC, jwz426
Details
Log after patch 2 (50.34 KB, text/plain)
2009-02-06 10:50 UTC, Michel Graciano
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jwz426 2008-10-27 02:40:00 UTC
i'm using netbeans for swing and groovy developing,but when i use subversion for vcs,the error happen...
a messagebox show "C:\Documents and Settings\Administrator\Local Settings\Temp\vcs-1225070616078
\CompQueryModelCreateDialog.java (系统找不到指定的路径。)"

these is log:
-------------------------------------------------------------------------------
>Log Session: Monday, October 27, 2008 9:23:13 AM CST
>System Info: 
  Product Version         = NetBeans IDE 6.5 RC1 (Build 200810171318)
  Operating System        = Windows XP version 5.1 running on x86
  Java; VM; Vendor        = 1.6.0_10; Java HotSpot(TM) Client VM 11.0-b15; Sun Microsystems Inc.
  Runtime                 = Java(TM) SE Runtime Environment 1.6.0_10-b33
  Java Home               = D:\Program Files\Java\jdk1.6.0_10\jre
  System Locale; Encoding = zh_CN (nb); GBK
  Home Directory          = C:\Documents and Settings\Administrator
  Current Directory       = D:\Program Files\NetBeans 6.5 RC1
  User Directory          = C:\Documents and Settings\Administrator\.netbeans\6.5rc1
  Installation            = D:\Program Files\NetBeans 6.5 RC1\nb6.5
                            D:\Program Files\NetBeans 6.5 RC1\ide10
                            D:\Program Files\NetBeans 6.5 RC1\java2
                            D:\Program Files\NetBeans 6.5 RC1\apisupport1
                            D:\Program Files\NetBeans 6.5 RC1\websvccommon1
                            D:\Program Files\NetBeans 6.5 RC1\profiler3
                            D:\Program Files\NetBeans 6.5 RC1\gsf1
                            D:\Program Files\NetBeans 6.5 RC1\harness
                            D:\Program Files\NetBeans 6.5 RC1\groovy1
                            D:\Program Files\NetBeans 6.5 RC1\platform9
  Boot & Ext. Classpath   = D:\Program Files\Java\jdk1.6.0_10\jre\lib\resources.jar;D:\Program Files\Java\jdk1.6.0_10
\jre\lib\rt.jar;D:\Program Files\Java\jdk1.6.0_10\jre\lib\sunrsasign.jar;D:\Program Files\Java\jdk1.6.0_10
\jre\lib\jsse.jar;D:\Program Files\Java\jdk1.6.0_10\jre\lib\jce.jar;D:\Program Files\Java\jdk1.6.0_10
\jre\lib\charsets.jar;D:\Program Files\Java\jdk1.6.0_10\jre\classes;D:\Program Files\Java\jdk1.6.0_10
\jre\lib\ext\dnsns.jar;D:\Program Files\Java\jdk1.6.0_10\jre\lib\ext\localedata.jar;D:\Program Files\Java\jdk1.6.0_10
\jre\lib\ext\sunjce_provider.jar;D:\Program Files\Java\jdk1.6.0_10\jre\lib\ext\sunmscapi.jar;D:\Program 
Files\Java\jdk1.6.0_10\jre\lib\ext\sunpkcs11.jar
  Application Classpath   = D:\Program Files\NetBeans 6.5 RC1\platform9\lib\boot.jar;D:\Program Files\NetBeans 6.5 RC1
\platform9\lib\org-openide-modules.jar;D:\Program Files\NetBeans 6.5 RC1\platform9\lib\org-openide-util.jar;D:\Program 
Files\Java\jdk1.6.0_10\lib\dt.jar;D:\Program Files\Java\jdk1.6.0_10\lib\tools.jar
  Startup Classpath       = D:\Program Files\NetBeans 6.5 RC1\platform9\core\core.jar;D:\Program Files\NetBeans 6.5 RC1
\platform9\core\org-openide-filesystems.jar;D:\Program Files\NetBeans 6.5 RC1\nb6.5\core\org-netbeans-
upgrader.jar;D:\Program Files\NetBeans 6.5 RC1\nb6.5\core\locale\core_nb.jar
-------------------------------------------------------------------------------
警告 [org.netbeans.core.modules]: the module org.netbeans.modules.xml.text uses 
org.netbeans.modules.editor.deprecated.pre61completion which is deprecated.
警告 [org.netbeans.core.modules]: the module org.netbeans.modules.db uses org.openide.options which is deprecated: Use 
org.openide.util.NbPreferences instead.
警告 [org.netbeans.core.modules]: the module org.netbeans.modules.j2ee.persistence uses 
org.netbeans.modules.editor.deprecated.pre61completion which is deprecated.
警告 [org.netbeans.core.modules]: the module org.netbeans.modules.profiler uses 
org.netbeans.modules.editor.deprecated.pre61settings which is deprecated.
信息 [org.netbeans.core.startup.NbEvents]: Turning on modules:
	org.openide.util [7.18.1.1 1 200810171318]
	org.openide.modules [7.7.1 200810171318]
	org.openide.awt [7.3.1.1 200810171318]
	org.openide.filesystems [7.13.1.1.1 1 200810171318]
	org.netbeans.modules.queries/1 [1.13.1 200810171318]
	org.jdesktop.layout/1 [1.6.1 1.0.3 200810171318]
	org.netbeans.api.progress/1 [1.12.1.1 1 200810171318]
	org.openide.dialogs [7.8.1 200810171318]
	org.netbeans.swing.outline [1.1.1 200810171318]
	org.openide.nodes [7.7.1.1 200810171318]
	org.openide.explorer [6.16.1 1 200810171318]
	org.openide.windows [6.24.1 200810171318]
	org.netbeans.modules.editor.mimelookup/1 [1.10.1 200810171318]
	org.openide.text [6.21.1 200810171318]
	org.openide.actions [6.8.1.1 200810171318]
	org.openide.loaders [7.2.1 200810171318]
	org.netbeans.modules.projectapi/1 [1.19.1 200810171318]
	org.netbeans.modules.projectuiapi/1 [1.31.1.6 6 200810171318]
	org.netbeans.libs.jsr223/1 [1.8.1 6 200810171318]
	org.netbeans.api.xml/1 [1.16.1 200810171318]
	org.netbeans.modules.xml.core/2 [1.15.1.4 4 200810171318]
	org.netbeans.modules.editor.settings/1 [1.22.1 200810171318]
	org.netbeans.modules.editor.util/1 [1.25.1 200810171318]
	org.netbeans.modules.editor.settings.storage/1 [1.18.1 200810171318]
	org.openide.options [6.9.1 200810171318]
	org.netbeans.modules.lexer/2 [1.29.1.1 1 200810171318]
	org.netbeans.modules.editor.lib2/1 [1.8.1.2 2 200810171318]
	org.netbeans.modules.editor.fold/1 [1.9.1 200810171318]
	org.netbeans.modules.editor.lib/1 [1.29.1.8.2 8 200810171318]
	org.openidex.util/3 [3.15.1 200810171318]
	org.netbeans.swing.tabcontrol [1.13.1 200810171318]
	org.netbeans.modules.editor.indent/2 [1.9.1.8 200810171318]
	org.netbeans.modules.editor/3 [1.41.1.3.8.2 3 200810171318]
	org.netbeans.modules.editor.deprecated.pre61settings/0 [1.1.0.1.3.8 1 200810171318]
	org.netbeans.modules.editor.deprecated.pre61completion/0 [1.0.1 200810171318]
	org.netbeans.modules.xml.lexer [1.3.1 200810171318]
	org.netbeans.modules.editor.structure/1 [1.17.1.1 1 200810171318]
	org.netbeans.modules.editor.completion/1 [1.13.1 1 200810171318]
	org.netbeans.modules.editor.bracesmatching/0 [1.6.1 200810171318]
	org.netbeans.spi.navigator/1 [1.7.1 200810171318]
	org.netbeans.modules.xml.text/2 [1.16.1.5 5 200810171318]
	org.openide.io [1.13.1 200810171318]
	org.netbeans.modules.xml.xam/1 [1.4.1 1 200810171318]
	org.netbeans.modules.xml.schema.model/1 [1.4.1 1 200810171318]
	org.netbeans.modules.xml.axi [1.4.1 200810171318]
	org.netbeans.modules.xml.xdm/1 [1.4.1 1 200810171318]
	org.apache.xml.resolver [1.4.1 1.2 200810171318]
	org.netbeans.modules.xml.retriever/1 [1.3.1 200810171318]
	org.netbeans.modules.xml [1.2.1 200810171318]
	org.netbeans.bootstrap/1 [2.15.1 200810171318]
	org.netbeans.core.startup/1 [1.14.1.1 200810171318]
	org.netbeans.libs.xerces/1 [1.12.1 2.8.0 200810171318]
	org.netbeans.modules.xml.tax/2 [1.16.1 200810171318]
	org.netbeans.spi.quicksearch [1.0.1 200810171318]
	org.netbeans.modules.options.api/1 [1.10.1 200810171318]
	org.openide.execution [1.12.1 200810171318]
	org.apache.tools.ant.module/3 [3.32.1.2 2 200810171318]
	org.netbeans.modules.apisupport.ant [2.33.1 200810171318]
	org.netbeans.modules.classfile/1 [1.21.1 200810171318]
	org.netbeans.modules.templates [1.3.1 200810171318]
	org.netbeans.api.java.classpath/1 [1.18.1 200810171318]
	org.netbeans.modules.project.libraries/1 [1.19.1 200810171318]
	org.netbeans.api.java/1 [1.18.1 200810171318]
	org.netbeans.modules.java.platform/1 [1.11.1 200810171318]
	org.netbeans.modules.xml.catalog/2 [1.14.1.4 4 200810171318]
	org.netbeans.modules.project.ant/1 [1.26.1 200810171318]
	org.netbeans.modules.java.project/1 [1.22.1 200810171318]
	org.netbeans.libs.junit4 [1.3.1 200810171318]
	org.netbeans.modules.gototest/1 [1.2.1 200810171318]
	org.netbeans.libs.javacapi [0.7.1.1 1 200810171318]
	org.netbeans.core.multiview/1 [1.12.1 200810171318]
	org.netbeans.libs.javacimpl/1 [0.9.1.7 7 200810171318]
	org.netbeans.libs.lucene/1 [2.4.1 2.3.2 200810171318]
	org.netbeans.modules.editor.errorstripe.api/1 [2.5.1.1 1 200810171318]
	org.netbeans.modules.editor.errorstripe/2 [2.5.1.1.1 1 200810171318]
	org.netbeans.modules.javahelp/1 [2.11.1 200810171318]
	org.netbeans.modules.options.keymap [1.4.1 200810171318]
	org.netbeans.modules.options.editor/1 [1.10.1 200810171318]
	org.netbeans.modules.diff/1 [1.20.1.42.1 42 200810171318]
	org.netbeans.modules.editor.guards/1 [1.2.1 200810171318]
	org.netbeans.modules.refactoring.api [1.4.1 200810171318]
	org.netbeans.spi.tasklist/1 [1.2.1 1 200810171318]
	org.netbeans.modules.java.preprocessorbridge [1.6.1.1 1 200810171318]
	org.netbeans.modules.masterfs/2 [2.15.1 200810171318]
	org.netbeans.modules.java.lexer/1 [1.4.1 200810171318]
	org.netbeans.modules.java.source [0.40.1.7.7 7 200810171318]
	org.netbeans.modules.junit/2 [2.28.1 200810171318]
	org.netbeans.libs.freemarker/1 [2.5.1 238 200810171318]
	org.netbeans.api.debugger/1 [1.14.1 200810171318]
	org.netbeans.spi.viewmodel/2 [1.15.1 200810171318]
	org.netbeans.api.debugger.jpda/2 [2.16.1 200810171318]
	org.netbeans.modules.debugger.jpda.ant [1.10.1 200810171318]
	org.netbeans.modules.ant.browsetask [1.14.1 200810171318]
	org.netbeans.modules.apisupport.project [1.26.0.6 6 200810171318]
	org.netbeans.modules.apisupport.paintapp [1.3.1 200810171318]
	org.netbeans.modules.websvc.saas.services.twitter [1.1.1 200810171318]
	org.netbeans.modules.html.lexer/1 [1.3.1 200810171318]
	org.netbeans.modules.j2ee.metadata/0 [1.5.1 200810171318]
	org.netbeans.modules.db/1 [1.30.1.30 30 200810171318]
	org.netbeans.modules.db.dataview [1.0.1 200810171318]
	org.netbeans.core.output2/1 [1.10.1.1 1 200810171318]
	org.netbeans.modules.db.core [1.7.1 200810171318]
	org.netbeans.modules.dbapi [1.7.1.30 200810171318]
	org.netbeans.modules.db.mysql [0.1.1 2 200810171318]
	org.netbeans.swing.plaf [1.8.1 200810171318]
	org.netbeans.core/2 [3.10.1.1 200810171318]
	org.netbeans.core.ui/1 [1.12.1 200810171318]
	org.netbeans.modules.jumpto/1 [1.7.1 200810171318]
	org.netbeans.modules.java.sourceui/1 [1.6.1.1.7 1 200810171318]
	org.netbeans.modules.schema2beans/1 [1.18.1 200810171318]
	org.netbeans.modules.dbschema/1 [1.12.1.4.30 4 200810171318]
	org.netbeans.modules.xml.multiview/1 [1.8.1.2 2 200810171318]
	org.netbeans.modules.j2ee.metadata.model.support/1 [1.2.1 200810171318]
	org.netbeans.modules.j2ee.persistenceapi/1 [1.5.1 1 200810171318]
	org.netbeans.spi.editor.hints/0 [1.5.1.6.2 6 200810171318]
	org.netbeans.modules.editor.codetemplates/1 [1.9.1.1.6 1 200810171318]
	org.netbeans.modules.j2ee.core.utilities/0 [1.1.1 200810171318]
	org.netbeans.modules.j2ee.persistence [1.6.1.1 1 200810171318]
	org.netbeans.modules.j2ee.jpa.refactoring [1.2.1 200810171318]
	org.netbeans.modules.gsf.api/2 [1.8.1.1.6 1 200810171318]
	org.netbeans.modules.gsfpath.api/1 [0.36.1 200810171318]
	org.netbeans.modules.gsf/2 [0.75.1.2.1.1.6 2 200810171318]
	org.netbeans.modules.css.editor/1 [1.1.1 200810171318]
	org.netbeans.modules.html.editor.lib/1 [1.8.1 200810171318]
	org.netbeans.modules.html.editor/1 [1.10.1.2 200810171318]
	org.netbeans.modules.properties/1 [1.25.1 200810171318]
	org.netbeans.modules.properties.syntax/1 [1.20.1 200810171318]
	org.mozilla.rhino.patched/1 [1.102.1 200810171318]
	org.netbeans.modules.javascript.editing/1 [0.86.1 200810171318]
	org.netbeans.modules.javascript.hints/1 [0.35.1 200810171318]
	org.netbeans.spi.palette/1 [1.14.1 200810171318]
	org.netbeans.modules.java.guards/0 [0.4.1 200810171318]
	org.jdesktop.beansbinding/1 [1.1.1 1.2.1 200810171318]
	org.netbeans.modules.form/2 [1.24.1 2 200810171318]
	org.netbeans.modules.form.j2ee/0 [0.4.1 1 200810171318]
	org.netbeans.core.execution/1 [1.12.1.1 200810171318]
	org.netbeans.lib.profiler/1 [1.3.1 200810171318]
	org.netbeans.lib.profiler.common/1 [1.4.1 200810171318]
	org.netbeans.lib.profiler.ui/1 [1.3.1 200810171318]
	org.netbeans.modules.profiler.utilities/1 [1.5.1 200810171318]
	org.netbeans.modules.profiler.projectsupport [1.1.1 200810171318]
	org.netbeans.modules.profiler.attach/1 [1.1.1 200810171318]
	org.netbeans.modules.java.navigation/1 [1.9.1 200810171318]
	org.netbeans.modules.refactoring.java/1 [1.4.1 200810171318]
	org.netbeans.modules.java.editor.lib/1 [1.9.1 200810171318]
	org.netbeans.modules.java.editor/1 [2.13.1.4.1.1.6 4 200810171318]
	org.netbeans.modules.beans/1 [1.20.1.1.4 1 200810171318]
	org.netbeans.modules.ant.freeform/1 [1.18.1 200810171318]
	org.netbeans.modules.java.freeform/1 [1.9.1 200810171318]
	org.netbeans.modules.java.hints/1 [1.23.1.3.4.6 3 200810171318]
	org.netbeans.modules.java.api.common/0 [1.3.1 200810171318]
	org.netbeans.modules.java.j2seproject/1 [1.21.1.45 45 200810171318]
	org.netbeans.modules.java.j2seplatform/1 [1.11.1 200810171318]
	org.netbeans.modules.javadoc/1 [1.24.1.6 200810171318]
	org.netbeans.libs.jaxb/1 [1.3.1 200810171318]
	org.netbeans.modules.websvc.jaxws21api/1 [1.3.1 200810171318]
	org.netbeans.modules.websvc.jaxws21/1 [1.3.1 200810171318]
	org.netbeans.modules.java.examples/1 [1.9.1 200810171318]
	org.netbeans.modules.i18n/1 [1.24.1 200810171318]
	org.netbeans.modules.java.debug [1.4.1.1.7.7 1 200810171318]
	org.netbeans.modules.java.source.ant [1.2.1.1.7 1 200810171318]
	org.netbeans.modules.javawebstart [1.2.1 200810171318]
	org.netbeans.spi.debugger.ui/1 [2.14.1 200810171318]
	org.netbeans.modules.ant.debugger/1 [1.10.1.2 200810171318]
	org.netbeans.modules.favorites/1 [1.14.1 200810171318]
	org.netbeans.modules.projectui [1.15.1.1.6 1 200810171318]
	org.netbeans.modules.projectui.buildmenu/1 [1.0.1 1 200810171318]
	org.netbeans.swing.dirchooser [1.2.1 200810171318]
	org.netbeans.modules.editor.bookmarks/1 [1.6.1 200810171318]
	org.netbeans.modules.sendopts/2 [2.3.1 200810171318]
	org.netbeans.modules.utilities/1 [1.29.1 200810171318]
	org.netbeans.modules.servletapi/1 [1.13.1 200810171318]
	org.netbeans.modules.httpserver/2 [2.9.1.42 42 200810171318]
	org.netbeans.modules.languages/0 [1.90.1.1 1 200810171318]
	org.netbeans.modules.usersguide/1 [1.22.1 200810171318]
	org.netbeans.modules.editor.plain.lib/1 [1.6.1 200810171318]
	org.netbeans.modules.editor.plain/2 [1.7.1 200810171318]
	org.netbeans.modules.autoupdate.services [1.5.1 200810171318]
	org.netbeans.modules.autoupdate.ui [1.5.1 200810171318]
	org.netbeans.modules.settings/1 [1.15.1 200810171318]
	org.netbeans.core.windows/2 [2.12.1.1 200810171318]
	org.netbeans.modules.core.kit [1.2.1 200810171318]
	org.netbeans.core.ide/1 [1.12.1 200810171318]
	org.netbeans.modules.editor.macros/0 [1.2.1.1.8 1 200810171318]
	org.netbeans.modules.extbrowser/1 [1.13.1 200810171318]
	org.netbeans.modules.defaults/1 [1.5.1 200810171318]
	org.netbeans.modules.ide.kit [1.5.1 200810171318]
	org.netbeans.modules.ant.kit [1.2.1 200810171318]
	org.netbeans.modules.java.helpset/1 [1.2.1 200810171318]
	org.netbeans.modules.java.kit [1.3.1 200810171318]
	org.netbeans.modules.profiler.selector.spi/1 [1.5.1 200810171318]
	org.netbeans.modules.profiler.selector.ui/1 [1.1.1 200810171318]
	org.netbeans.modules.profiler/1 [1.9.1 200810171318]
	org.netbeans.modules.profiler.freeform/1 [1.5.1 200810171318]
	org.netbeans.modules.javascript.refactoring/1 [0.60.1 200810171318]
	org.netbeans.modules.xml.wsdl.model/1 [1.4.1 1 200810171318]
	org.netbeans.modules.websvc.jaxwsmodelapi/1 [1.0.1 200810171318]
	org.netbeans.modules.websvc.saas.api [1.1.1 200810171318]
	org.netbeans.modules.websvc.saas.services.strikeiron [1.1.1 200810171318]
	org.netbeans.modules.websvc.saas.services.flickr [1.1.1 200810171318]
	org.netbeans.modules.websvc.saas.services.weatherbug [1.1.1 200810171318]
	org.netbeans.modules.websvc.saas.services.zvents [1.1.1 200810171318]
	org.netbeans.modules.websvc.saas.services.delicious [1.1.1 200810171318]
	org.netbeans.modules.websvc.saas.services.google [1.1.1 200810171318]
	org.netbeans.modules.websvc.saas.services.amazon [1.1.1 200810171318]
	org.netbeans.modules.websvc.saas.services.yahoo [1.1.1 200810171318]
	org.netbeans.modules.websvc.saas.ui [1.1.1 200810171318]
	org.netbeans.modules.websvc.saas.codegen [1.1.1 200810171318]
	org.netbeans.modules.websvc.saas.services.facebook [1.1.1 200810171318]
	org.netbeans.modules.websvc.saas.services.zillow [1.1.1 200810171318]
	org.netbeans.modules.websvc.saas.kit [1.0.1 200810171318]
	org.netbeans.modules.projectimport.eclipse.core/1 [2.3.1 200810171318]
	org.netbeans.modules.versioning/1 [1.8.1.1.42.1 1 200810171318]
	org.netbeans.modules.versioning.util [1.2.1.42.1 200810171318]
	org.netbeans.modules.localhistory [1.3.1 200810171318]
	org.netbeans.modules.xsl/1 [1.16.1 200810171318]
	org.netbeans.modules.groovy.samples [1.0.1 200810171318]
	org.netbeans.modules.i18n.form/2 [1.23.1 200810171318]
	org.netbeans.modules.swingapp [1.3.1 200810171318]
	org.netbeans.modules.db.metadata.model/0 [0.1.1 200810171318]
	org.netbeans.modules.db.sql.editor [1.7.1.30 200810171318]
	org.netbeans.api.visual [2.17.1 200810171318]
	org.netbeans.modules.db.sql.visualeditor/1 [2.3.1.30 200810171318]
	org.netbeans.modules.db.drivers [1.2.1 200810171318]
	org.netbeans.modules.db.kit [1.3.1 200810171318]
	org.netbeans.modules.j2ee.toplinklib/1 [2.10.1 200810171318]
	org.netbeans.modules.j2ee.jpa.verification [1.3.1.6 200810171318]
	org.netbeans.modules.derby [1.11.1 200810171318]
	org.netbeans.modules.j2ee.persistence.kit [1.2.1 200810171318]
	org.netbeans.modules.form.kit [1.2.1 200810171318]
	org.netbeans.modules.tasklist.todo/1 [1.3.1.1 1 200810171318]
	org.netbeans.modules.debugger.jpda.projects [1.4.1 200810171318]
	org.netbeans.modules.apisupport.feedreader/1 [1.6.1 200810171318]
	org.netbeans.modules.web.flyingsaucer/1 [1.2.1 1 200810171318]
	org.netbeans.modules.css.visual/1 [2.3.1 200810171318]
	org.netbeans.modules.languages.manifest [1.5.1 200810171318]
	org.netbeans.modules.image/1 [1.21.1 200810171318]
	org.netbeans.modules.projectimport.eclipse.j2se [1.1.0.45 200810171318]
	org.netbeans.modules.apisupport.harness [1.12.1 200810171318]
	org.netbeans.modules.xml.tools/2 [1.16.1 200810171318]
	org.netbeans.modules.xml.tools.java [1.2.1 200810171318]
	org.netbeans.lib.uihandler [1.16.1 200810171318]
	org.netbeans.modules.uihandler [2.6.1 200810171318]
	org.netbeans.modules.languages.sh [1.6.1 200810171318]
	org.netbeans.modules.xml.jaxb/1 [1.2.1 200810171318]
	org.netbeans.libs.commons_logging/1 [1.7.1 1.1 200810171318]
	org.netbeans.modules.hibernatelib/1 [1.0.1 1 200810171318]
	org.netbeans.modules.apisupport.refactoring [1.6.1.6 200810171318]
	org.netbeans.modules.extexecution/0 [1.9.1 200810171318]
	org.netbeans.modules.tasklist.projectint/1 [1.2.1 200810171318]
	org.netbeans.modules.uihandler.exceptionreporter [1.2.1 200810171318]
	org.netbeans.modules.languages.diff [1.6.1 200810171318]
	org.netbeans.libs.ini4j/1 [1.2.1 0.9 200810171318]
	org.netbeans.modules.ide.branding/1 [1.6.1 200810171318]
	org.netbeans.modules.editor.mimelookup.impl/1 [1.3.1 200810171318]
	org.netbeans.libs.svnClientAdapter/1 [1.4.1 0.9 200810171318]
	org.netbeans.modules.reglib [1.2.1 200810171318]
	org.netbeans.modules.welcome/1 [1.14.1 200810171318]
	org.netbeans.modules.registration [1.1.1 200810171318]
	org.netbeans.modules.ide.branding.kit [1.2.1 200810171318]
	org.netbeans.libs.bytelist/1 [0.1.1 1 200810171318]
	org.netbeans.modules.languages.bat [1.5.1 200810171318]
	org.netbeans.modules.groovy.support [1.5.1 200810171318]
	org.netbeans.lib.cvsclient/1 [1.17.1 200810171318]
	org.netbeans.libs.jsch/1 [1.7.1 0.1.39 200810171318]
	org.netbeans.modules.versioning.system.cvss/1 [1.11.1.1.42.1 1 200810171318]
	org.netbeans.modules.subversion [1.4.1 200810171318]
	org.netbeans.libs.jna/1 [1.1.1 200810171318]
	org.netbeans.core.nativeaccess/1 [1.1.1 200810171318]
	org.netbeans.modules.lexer.nbbridge/1 [1.4.1.1 200810171318]
	org.netbeans.modules.groovy.editor [1.6.1.6 200810171318]
	org.netbeans.modules.groovy.refactoring [1.2.1 200810171318]
	org.netbeans.modules.server/0 [1.2.1 200810171318]
	org.netbeans.modules.groovy.grails [1.7.1 200810171318]
	org.netbeans.modules.profiler.attach.impl/2 [1.1.1 200810171318]
	org.netbeans.modules.debugger.jpda/2 [1.22.1 200810171318]
	org.netbeans.modules.xml.schema.completion [1.2.1 200810171318]
	org.netbeans.modules.profiler.j2se/1 [1.5.1 200810171318]
	org.netbeans.modules.web.client.tools.api [1.0.1 200810171318]
	org.netbeans.modules.utilities.project/1 [1.9.1 200810171318]
	org.netbeans.modules.groovy.gsp [1.3.1 200810171318]
	org.netbeans.modules.groovy.grailsproject [1.6.1 200810171318]
	org.netbeans.modules.debugger.jpda.ui/1 [1.8.2 200810171318]
	org.netbeans.modules.debugger.jpda.heapwalk/1 [1.3.1 200810171318]
	org.netbeans.modules.websvc.saas.codegen.java [1.1.1 200810171318]
	org.netbeans.libs.cglib/1 [1.0.1 200810171318]
	org.netbeans.libs.springframework [1.1.1 200810171318]
	org.netbeans.modules.spring.beans/0 [1.5.1 1 200810171318]
	org.netbeans.modules.profiler.j2ee.jboss/1 [1.5.1 200810171318]
	org.netbeans.modules.updatecenters/1 [1.13.1 200810171318]
	org.netbeans.modules.apisupport.apidocs [2.25 200810171318]
	org.netbeans.modules.tasklist.ui/1 [1.2.1.1 200810171318]
	org.netbeans.upgrader [4.8.1 200810171318]
	org.netbeans.modules.progress.ui [1.2.1 200810171318]
	org.netbeans.modules.hibernate/1 [1.0.1 1 200810171318]
	org.netbeans.modules.languages.refactoring/0 [1.0.1.1 1 200810171318]
	org.netbeans.modules.profiler.nbmodule/1 [1.5.1 200810171318]
	org.netbeans.libs.jvyamlb/1 [0.2.4 1 200810171318]
	org.netbeans.modules.javascript.kit/1 [0.104.1 200810171318]
	org.netbeans.modules.html/1 [1.24.1 200810171318]
	org.netbeans.modules.editor.kit [1.2.1 200810171318]
	org.netbeans.modules.profiler.j2ee.weblogic/1 [1.5.1 200810171318]
	org.netbeans.modules.languages.yaml [2.0.1 200810171318]
	org.netbeans.modules.print [6.5.1 200810171318]
	org.netbeans.modules.tasklist.kit [1.2.1 200810171318]
	org.netbeans.modules.java.hints.analyzer [1.6.0.1.3.6 1 200810171318]
	org.netbeans.modules.groovy.kit [1.7.1 200810171318]
	org.netbeans.modules.ant.grammar/1 [1.17.1 200810171318]
	org.netbeans.modules.apisupport.kit [1.2.1 200810171318]
	org.netbeans.libs.svnjavahlwin32/1 [0.1 0.1 200810171318]
	org.netbeans.modules.profiler.j2ee.sunas/1 [1.5.1 200810171318]
	org.netbeans.modules.profiler.j2ee.tomcat/1 [1.5.1 200810171318]
信息 [org.netbeans.modules.subversion.client.SvnClientFactory]: running on javahl
Diagnostic information
Input arguments:
	-Dnetbeans.importclass=org.netbeans.upgrade.AutoUpgrade
	-Dnetbeans.accept_license_class=org.netbeans.license.AcceptLicense
	-Xverify:none
	-Xss2m
	-Xms32m
	-XX:PermSize=32m
	-XX:MaxPermSize=200m
	-Dapple.laf.useScreenMenuBar=true
	-Dsun.java2d.noddraw=true
	-Xmx409m
	-Djdk.home=D:\Program
	Files\Java\jdk1.6.0_10
	-Dnetbeans.home=D:\Program
	Files\NetBeans
	6.5
	RC1\platform9
	-Dnetbeans.dirs=D:\Program
	Files\NetBeans
	6.5
	RC1\nb6.5;D:\Program
	Files\NetBeans
	6.5
	RC1\ide10;D:\Program
	Files\NetBeans
	6.5
	RC1\java2;D:\Program
	Files\NetBeans
	6.5
	RC1\apisupport1;D:\Program
	Files\NetBeans
	6.5
	RC1\websvccommon1;D:\Program
	Files\NetBeans
	6.5
	RC1\profiler3;D:\Program
	Files\NetBeans
	6.5
	RC1\gsf1;D:\Program
	Files\NetBeans
	6.5
	RC1\harness;D:\Program
	Files\NetBeans
	6.5
	RC1\groovy1
	-Dnetbeans.user=C:\Documents
	and
	Settings\Administrator\.netbeans\6.5rc1
	-Dnetbeans.system_http_proxy=DIRECT
	-Dnetbeans.system_http_non_proxy_hosts=
	-Dsun.awt.keepWorkingSetOnMinimize=true
Compiler: HotSpot Client Compiler
Heap memory usage: initial 32.0MB maximum 406.9MB
Non heap memory usage: initial 52.2MB maximum 252.0MB
Garbage collector: Copy (Collections=145 Total time spent=0s)
Garbage collector: MarkSweepCompact (Collections=1 Total time spent=0s)
Classes: loaded=6171 total loaded=6171 unloaded 0
信息 [org.netbeans.core.ui.warmup.DiagnosticTask]: Total memory 2,145,759,232
严重 [global]

msg
Caused: java.io.FileNotFoundException: C:\Documents and Settings\Administrator\Local Settings\Temp\vcs-1225070616078
\CompQueryModelCreateDialog.java (系统找不到指定的路径。)
	at java.io.FileInputStream.open(Native Method)
	at java.io.FileInputStream.<init>(FileInputStream.java:106)
	at org.netbeans.modules.masterfs.filebasedfs.fileobjects.FileObj$2.<init>(FileObj.java:144)
	at org.netbeans.modules.masterfs.filebasedfs.fileobjects.FileObj.getInputStream(FileObj.java:143)
Caused: java.io.FileNotFoundException: C:\Documents and Settings\Administrator\Local Settings\Temp\vcs-1225070616078
\CompQueryModelCreateDialog.java (系统找不到指定的路径。)
	at org.netbeans.modules.masterfs.filebasedfs.fileobjects.FileObj.getInputStream(FileObj.java:156)
	at org.openide.text.DataEditorSupport$Env.inputStream(DataEditorSupport.java:685)
	at org.openide.text.CloneableEditorSupport.loadDocument(CloneableEditorSupport.java:1968)
	at org.openide.text.CloneableEditorSupport.access$2500(CloneableEditorSupport.java:120)
	at org.openide.text.CloneableEditorSupport$Listener.run(CloneableEditorSupport.java:2738)
Caused: org.openide.text.CloneableEditorSupport$DelegateIOExc: C:\Documents and Settings\Administrator\Local 
Settings\Temp\vcs-1225070616078\CompQueryModelCreateDialog.java (系统找不到指定的路径。)
	at org.openide.text.CloneableEditorSupport$Listener.run(CloneableEditorSupport.java:2741)
	at org.openide.util.Task.run(Task.java:249)
	at org.openide.text.CloneableEditorSupport$5$1Query.call(CloneableEditorSupport.java:1545)
	at org.openide.text.CloneableEditorSupport$5.run(CloneableEditorSupport.java:1556)
	at org.netbeans.editor.GuardedDocument.runAtomic(GuardedDocument.java:294)
	at org.openide.text.NbDocument.runAtomic(NbDocument.java:384)
	at org.openide.text.CloneableEditorSupport.reloadDocument(CloneableEditorSupport.java:1504)
	at org.netbeans.modules.form.FormEditorSupport.reloadDocument(FormEditorSupport.java:424)
	at org.openide.text.CloneableEditorSupport.checkReload(CloneableEditorSupport.java:2121)
	at org.openide.text.CloneableEditorSupport.access$2300(CloneableEditorSupport.java:120)
	at org.openide.text.CloneableEditorSupport$Listener$1.run(CloneableEditorSupport.java:2709)
	at org.netbeans.editor.GuardedDocument.runAtomic(GuardedDocument.java:294)
	at org.openide.text.NbDocument.runAtomic(NbDocument.java:384)
	at org.openide.text.CloneableEditorSupport$Listener$1.run(CloneableEditorSupport.java:2701)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:209)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:597)
	at org.netbeans.core.TimableEventQueue.dispatchEvent(TimableEventQueue.java:104)
[catch] at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)
全部 [null]: C:\Documents and Settings\Administrator\Local Settings\Temp\vcs-1225070616078
\CompQueryModelCreateDialog.java (系统找不到指定的路径。)
SEVERE [global]
Comment 1 jwz426 2008-10-27 02:40:46 UTC
Created attachment 72666 [details]
netbeans log file
Comment 2 Tomas Stupka 2008-10-27 10:23:52 UTC
Hi,

is this reproducible? do you get the error every time you open a svn versioned file?

could you please verify if the file from the err message does exist on your disk or not? The vcs-xxx files are created
temporary so you have to reproduce first, and then check the reported location, when the message appears.

thanks
Comment 3 Tomas Stupka 2008-10-27 10:46:59 UTC
taken from reporters mail:

"yes,it happen almost every time when i open file.
 
i check the temporary dir, the tempfile don't generated then first open the file, but the tempfile can generated when i
modified the file.
and when i reopen the file the error not show ...... when i closed and reopen the file twice the error happen again."
Comment 4 Tomas Stupka 2008-10-27 10:54:40 UTC
so the error appears when you open the file a second time. right?
Comment 5 jwz426 2008-10-27 11:07:15 UTC
it appear at the first time, the tempfile generated when i saved the modified file.

when i open the gui builder design mode the error don't appear, when change to source mode the error appear
Comment 6 Tomas Stupka 2008-10-31 15:40:49 UTC
i've tried to reproduce with a grails app, but wasn't able to reporduce and to be honest, i'm a bit confused. So lets
try it again:)

when do you get the problem?
a) always when you open a source file 
b) sometimes when you open a source file 
c) the second time you open a source file 

what is your project setup? what project type, ... ?
do you get this with whatever file or only with form files?

anything else?
Comment 7 Tomas Stupka 2008-11-14 09:44:47 UTC
*** Issue 153192 has been marked as a duplicate of this issue. ***
Comment 8 jwz426 2008-11-15 02:39:52 UTC
i've tried to create a simple java application and share project with svn. the error append always.

when i edit the source file or changed open files with the tabs, the error happends often.
and when i closed the console view, the error appear again.

my os is windows xp sp3 chinese version. but my workspaces don't have chinese directorys or files.

Comment 9 hadeslee 2008-11-24 05:07:40 UTC
Hi all:
I met this before,and I sumit a issue for this.
But I found the cause of this is the differences of the file system.
For example:
the file system of the C: is FAT32,and other roots are NTFS.
so,when I install the netbeans to C:/Program files/Netbeans 6.5,but my nb project are not in C: 
it will pop up the dialog when I open a file which in svn control.Today,I convert my C: to NTFS by the command:
"convert C: /FS:NTFS /X"
when the computer restart,it will automatic convert your disk from FAT32 to NTFS safely.
Comment 10 Tomas Stupka 2008-11-27 18:59:24 UTC
to be honest, i'm not sure if this should be already closed. three duplicates (one on nbusers), we could see we can find
a workaround....
Comment 11 Tomas Stupka 2008-12-02 07:01:58 UTC
*** Issue 153706 has been marked as a duplicate of this issue. ***
Comment 12 Peter Pis 2008-12-02 12:34:42 UTC
Removing INCOMPLETE.
Comment 13 Tomas Stupka 2008-12-02 14:26:29 UTC
i wasn't able to reproduce, however - i've made a blind fix which should help. 
it would be great if one of the reporters could verify if the problem is gone or not.

thanks

changeset:   110042:53bf1e956eab
tag:         tip
user:        Tomas Stupka <tstupka@netbeans.org>
date:        Tue Dec 02 10:45:12 2008 +0100
summary:     #151406 - open file(java or groovy) and show error message box when use svn for versioning
Comment 14 auxbuss 2008-12-04 22:20:18 UTC
Would love to test, but I don't know what to get and from where. Can you advise. Thanks.
Comment 15 Quality Engineering 2008-12-05 05:58:34 UTC
Integrated into 'main-golden', will be available in build *200812050201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/53bf1e956eab
User: Tomas Stupka <tstupka@netbeans.org>
Log: #151406 - open file(java or groovy) and show error message box when use svn for versioning
Comment 16 Tomas Stupka 2008-12-05 09:26:26 UTC
go to http://bits.netbeans.org/dev/nightly/ and get the build from 200812050201 or later. Please note it wasn't build
yet ...

thanks
Comment 17 hadeslee 2008-12-08 01:03:25 UTC
I think the root cause of this is the differences of file system.
You can not Use both FAT32 and NTFS file system formats on one pc
Comment 18 auxbuss 2008-12-10 14:29:25 UTC
The problem is not the file system type, as I experience this on my laptop, which is FAT32 on both (Windows) partitions.

Anyway, I tested with: netbeans-trunk-nightly-200812100201-windows
and the problem has go away. Thanks for that.

However, I now notice that new installs are not picking up the previous/existing installation's configuration, so I'll
have to go and file a bug on that! Kinda counterproductive behaviour, since it makes testing bug fixes a hell of a lot
of work. 
Comment 19 Tomas Stupka 2008-12-17 12:13:57 UTC
*** Issue 155550 has been marked as a duplicate of this issue. ***
Comment 20 Michel Graciano 2008-12-17 12:30:09 UTC
As a workaround until patch 2, just turn off View > Show Diff Sidebar.
Comment 21 pslechta 2008-12-18 15:26:19 UTC
The fix was ported into release65_fixes repository.

http://hg.netbeans.org/release65_fixes/rev/f2e39ef38031
Comment 22 Peter Pis 2009-01-16 10:53:44 UTC
Verified.
Comment 23 Michel Graciano 2009-02-06 10:49:35 UTC
Happen again even after update. Now is too hard to this happen, but several times it is back. I will attach the new
exception. I cleaned up the cvs cache, even at user dir as well for windows temp folder, this make IDE much faster
(something like 40% faster) and the problem go away. If the user commit any file, the problem happen again, sometimes
when switching between opened files, sometimes moving CVS view.
After the patch 2, we have 2 users with the problem now, before that, just one of these guys faced the problem.
Comment 24 Michel Graciano 2009-02-06 10:50:12 UTC
Created attachment 76647 [details]
Log after patch 2
Comment 25 Michel Graciano 2009-02-06 10:57:41 UTC
User report me the files that error happens is just files which was not committed. For files submitted to cvs, no error.
Comment 26 Tomas Stupka 2009-02-06 11:06:53 UTC
are the files still open in the editor when the exception appears?
Comment 27 Michel Graciano 2009-02-06 11:56:14 UTC
Yes, the message show up when switching between opened files, for example, from comitted file to a non committed file.
Sometimes, just committing show up the message, probably another process trying to access temp files, as CVS view for
example.
Comment 28 pate71 2009-02-11 20:17:57 UTC
I am still getting this as well after the latest round of patches. Java project using svn. I can't really identify what
triggers it. It's always a file that I have open in the editor, but not the active document.

From messages.log:
Caused: java.io.FileNotFoundException: C:\Documents and Settings\Pate\Local
Settings\Temp\vcs-1234381986112\AccessExporter.java (The system cannot find the path specified)
	at java.io.FileInputStream.open(Native Method)
	at java.io.FileInputStream.<init>(FileInputStream.java:106)
	at org.netbeans.modules.masterfs.filebasedfs.fileobjects.FileObj$2.<init>(FileObj.java:144)
	at org.netbeans.modules.masterfs.filebasedfs.fileobjects.FileObj.getInputStream(FileObj.java:143)
Caused: java.io.FileNotFoundException: C:\Documents and Settings\Pate\Local
Settings\Temp\vcs-1234381986112\AccessExporter.java (The system cannot find the path specified)
	at org.netbeans.modules.masterfs.filebasedfs.fileobjects.FileObj.getInputStream(FileObj.java:156)
	at org.openide.text.DataEditorSupport$Env.inputStream(DataEditorSupport.java:685)
	at org.openide.text.CloneableEditorSupport.loadDocument(CloneableEditorSupport.java:1972)
	at org.openide.text.CloneableEditorSupport.access$2500(CloneableEditorSupport.java:120)
	at org.openide.text.CloneableEditorSupport$Listener.run(CloneableEditorSupport.java:2742)
	at org.openide.text.CloneableEditorSupport$2.doRun(CloneableEditorSupport.java:636)
	at org.openide.text.CloneableEditorSupport$2.run(CloneableEditorSupport.java:607)
	at org.netbeans.editor.GuardedDocument.runAtomic(GuardedDocument.java:324)
	at org.openide.text.NbDocument.runAtomic(NbDocument.java:384)
	at org.openide.text.CloneableEditorSupport$2.doRun(CloneableEditorSupport.java:617)
	at org.openide.text.CloneableEditorSupport$2.run(CloneableEditorSupport.java:607)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:572)
[catch] at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:997)
ALL [null]: C:\Documents and Settings\Pate\Local Settings\Temp\vcs-1234381986112\AccessExporter.java (The system cannot
find the path specified)
ALL [null]: The document  could not be loaded.
Comment 29 Ondrej Vrabec 2009-02-16 16:49:38 UTC
fixing

changeset   : 117550:ddef65a56557
author      : Ondrej Vrabec <ovrabec@netbeans.org>
date        : Mon Feb 16 17:48:44 CET 2009
summary     : #151406 - open file(java or groovy) and show error message box when use svn for versioning
Comment 30 Ondrej Vrabec 2009-02-16 16:50:00 UTC
*** Issue 158533 has been marked as a duplicate of this issue. ***
Comment 31 Quality Engineering 2009-02-18 10:19:19 UTC
Integrated into 'main-golden', will be available in build *200902180201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/ddef65a56557
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #151406 - open file(java or groovy) and show error message box when use svn for versioning


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo